Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 972608 - Authentication issues when renaming printer from an administrator user
Authentication issues when renaming printer from an administrator user
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups-pk-helper (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 04:24 EDT by Emmanuel Pacaud
Modified: 2015-02-17 10:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:31:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (47.66 KB, image/png)
2013-06-10 04:25 EDT, Emmanuel Pacaud
no flags Details

  None (edit)
Description Emmanuel Pacaud 2013-06-10 04:24:01 EDT
Launching system-config-printer from an administrator user (not root), authentication seems broken when I try to rename a printer.

system-config-printer asks for my password two times, then asks for the root password in a gtk dialog, and finally give me a CUPS error dialog.

It leaves the old named printer as is, a creates a new printer with the new name, but with incorrect properties (the print queue is file:///dev/null).
Comment 1 Emmanuel Pacaud 2013-06-10 04:25:39 EDT
Created attachment 759105 [details]
Screenshot
Comment 2 Tim Waugh 2013-06-12 11:02:55 EDT
I can't reproduce that here.

Please run 'system-config-printer --debug' and show the full output you get when you see this problem.
Comment 3 Emmanuel Pacaud 2013-06-12 11:23:28 EDT
^[[A[pacaud@lappc-p348 system-config-printer --debugg
+<NewPrinterGUI object at 0x20485a0 (newprinter+NewPrinterGUI at 0x20e64c0)>
Connected as user pacaud
+<PrinterPropertiesDialog object at 0x267f6e0 (printerproperties+PrinterPropertiesDialog at 0x218e000)>
<authconn.Connection instance at 0x2650200>: Operation += "R\xc3\xa9cup\xc3\xa9ration des informations de la file d'attente"
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
<authconn.Connection instance at 0x2650200>: Operation ended
+<ppdcache.PPDCache instance at 0x2768710>
refresh
Created subscription 197, events=['printer-added', 'printer-deleted', 'printer-state-changed']
Next notifications fetch in 1s
update_jobs
Deferred populateList by 200ms
Deferred populateList by 200ms
Deferred populateList by 200ms
Deferred populateList by 200ms
<authconn.Connection instance at 0x2650200>: Operation += "R\xc3\xa9cup\xc3\xa9ration des informations de la file d'attente"
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
<authconn.Connection instance at 0x2650200>: Operation ended
get_notifications
update_jobs
Next notifications fetch in 60s
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
editing-started
edited: Couleur-1er-cafet -> Kfet
Connected as user pacaud
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
Unknown value for media-col: (unknown IPP value tag 0x34)
Choices: [u'media-bottom-margin', u'media-left-margin', u'media-right-margin', u'media-size', u'media-source', u'media-top-margin', u'media-type']
Selecting from choices: media-bottom-margin
update printer properties
no changes yet: full printer properties update
Authentication pass: 1
Authentication: password callback set
<authconn.Connection instance at 0x2650200>: Operation += "renommage de l'imprimante"
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
<authconn.Connection instance at 0x27755f0>: Operation += "modification de l'imprimante Kfet"
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
PolicyKit call to PrinterSetLocation did not work: dbus.String(u'"B\xe2timent long - 1er \xe9tage - Caf\xe9t\xe9ria" is not a valid location.')
Authentication pass: 2
Forbidden: True
Authentication: Try as root
Connected as user root
Got password callback
Authentication pass: 3
Forbidden: False
D-Bus signal from CUPS... calling update
Next notifications fetch in 200ms (update called)
D-Bus signal from CUPS... calling update
Next notifications fetch in 200ms (update called)
D-Bus signal from CUPS... calling update
Next notifications fetch in 200ms (update called)
get_notifications
1 printer-state-changed No longer accepting jobs.
{'notify-charset': u'utf-8',
 'notify-natural-language': u'en-us',
 'notify-printer-uri': u'ipp://lappc-p348/printers/Couleur-1er-cafet',
 'notify-sequence-number': 1,
 'notify-subscribed-event': u'printer-state-changed',
 'notify-subscription-id': 197,
 'notify-text': u'No longer accepting jobs.',
 'printer-is-accepting-jobs': True,
 'printer-name': u'Couleur-1er-cafet',
 'printer-state': 3,
 'printer-state-reasons': [u'none'],
 'printer-up-time': 1371050548}
Deferred populateList by 200ms
on_printer_modified called
2 printer-added New printer "Kfet" added by "root".
{'notify-charset': u'utf-8',
 'notify-natural-language': u'en-us',
 'notify-printer-uri': u'ipp://lappc-p348/printers/Kfet',
 'notify-sequence-number': 2,
 'notify-subscribed-event': u'printer-added',
 'notify-subscription-id': 197,
 'notify-text': u'New printer "Kfet" added by "root".',
 'printer-is-accepting-jobs': True,
 'printer-name': u'Kfet',
 'printer-state': 5,
 'printer-state-reasons': [u'paused'],
 'printer-up-time': 1371050552}
Deferred populateList by 200ms
update_jobs
<authconn.Connection instance at 0x2650200>: Operation += "R\xc3\xa9cup\xc3\xa9ration des informations de la file d'attente"
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
Authentication pass: 1
Authentication: password callback set
<authconn.Connection instance at 0x2650200>: Operation ended
Authentication: Reconnect
Connected as user root
Got password callback
Authentication pass: 4
Forbidden: False
Authentication: giving up
Got password callback
4096: 'Non autoris\xc3\xa9'
Comment 4 Tim Waugh 2013-06-12 12:06:02 EDT
OK, I think the problem here is that cups-pk-helper is not allowing the location string even though it's valid UTF-8.

PolicyKit call to PrinterSetLocation did not work: dbus.String(u'"B\xe2timent long - 1er \xe9tage - Caf\xe9t\xe9ria" is not a valid location.')
Comment 5 Jim Haynes 2013-08-27 14:33:45 EDT
Maybe my problem is the same.  I did
activities->sundry->print settings

a black window came up with the line "system policy prevents to change
the firewall configuration"  [I guess the programmer's native language
is not English.] 

Then when I give my password it says "sorry that did not work"

Then a second instance of same in regard to changing the printer
configuration.

In my case I'm trying to add a printer to a newly installed F19 system.
Comment 6 Tim Waugh 2013-08-28 05:13:57 EDT
Jim: I don't think the problem you are seeing is the same. Please file a separate bug report, and follow the instructions in comment #2.
Comment 7 Jim Haynes 2013-08-28 11:26:22 EDT
Thanks.  But I've found Gnome to be broken in so many places I just gave up
on it and installed from the Xfce spin.  It doesn't seem to have this
authentication problem in configuring printers.
Comment 8 Fedora End Of Life 2015-01-09 13:22:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 10:31:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.